Summary:         GNOME interface for YUM
Name:            gnome-yum
Version:         0.1.3
Release:         1%{?dist}
Group:           Applications/System
License:         GPL
Source0:         http://prdownloads.sourceforge.net/g/gn/gnome-yum/%{name}-%{version}.tar.bz2
Url:             http://gnome-yum.sourceforge.net
Requires:        usermode
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:   GConf2-devel vte-devel gnome-vfs2-devel desktop-file-utils libgnomeui-devel

%description 
GNOME Interface for YUM

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang gnome-yum
rm -f $RPM_BUILD_ROOT%{_bindir}/gnome-yum
cd $RPM_BUILD_ROOT%{_bindir}
ln -s consolehelper gnome-yum
for doc in ABOUT-NLS AUTHORS README COPYING INSTALL NEWS TODO ChangeLog; do
	rm -f $RPM_BUILD_ROOT%{_prefix}/doc/gnome-yum/$doc
done
desktop-file-install --vendor fedora --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-yum.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gnome-yum.lang
%doc ABOUT-NLS AUTHORS README COPYING INSTALL TODO ChangeLog 
%defattr(-,root,root)
%dir %{_datadir}/pixmaps/gnome-yum
%{_datadir}/pixmaps/gnome-yum
%{_datadir}/applications/*.desktop
%{_bindir}/gnome-yum
%{_sbindir}/gnome-yum
%config(noreplace) %{_sysconfdir}/pam.d/gnome-yum
%config(noreplace) %{_sysconfdir}/security/console.apps/gnome-yum
%attr(0755,root,root) %{_datadir}/gnome-yum/gyum-query.sh

%changelog
* Sat Jan 14 2006 András Tóth  <toth_bandi@users.sourceforge.net> - 0.1.3-1
- Fixed specfile format bugs
